Public Types | Public Member Functions | Public Attributes | List of all members
STOFFStarMathToMMLConverterInternal::LexerData Struct Reference

a lexer data More...

## Public Types
enum | Type { Number , PlaceHolder , Special , Space , String , Unknown }
| the different lexer type More...

## Public Member Functions
| LexerData ()
| constructor

## Public Attributes
Type | m_type
| the main type
std::string | m_string
| the data

## Detailed Description

a lexer data

## Member Enumeration Documentation

## ◆ Type

enum STOFFStarMathToMMLConverterInternal::LexerData::Type

the different lexer type

Enumerator
Number |
PlaceHolder |
Special |
Space |
String |
Unknown |

## Constructor & Destructor Documentation

## ◆ LexerData()

STOFFStarMathToMMLConverterInternal::LexerData::LexerData | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_string

std::string STOFFStarMathToMMLConverterInternal::LexerData::m_string

the data

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convert().

## ◆ m_type

Type STOFFStarMathToMMLConverterInternal::LexerData::m_type

the main type

Referenced by STOFFStarMathToMMLConverterInternal::Parser::convert().

The documentation for this struct was generated from the following file:

- STOFFStarMathToMMLConverter.cxx